Subject: Re: Grad programs - Internat'l Agricultural Development??
From: "James A. Chapman" <[email-masked]>
Date: 24 Jul 1994 18:18:06 GMT
Newsgroups: alt.agriculture.misc,sci.agriculture,alt.sustainable.agriculture

> I am seeking information about graduate programs in International 
> Agricultural Development or International Development (with a focus on 
> rural/agricultural development).  I know about the programs at Cornell 
> University and UC-Davis--if anyone out there has inside info about 
these 
> two programs, I'd love to hear your opinions!!  

> Can anyone suggest other programs to look into??  

> Thanks for the help!
> Jessica   --   Post a response or email me at [email-masked]

Suggest you check out the Department of Agricultural Economics at 
Michigan State University.  Others include UMinnesota, Iowa State and 
North Carolina State.